const SDK = globalThis.SDK;

const PLUGIN_ID = "yabbi";

const PLUGIN_CATEGORY = "monetisation";

const PLUGIN_CLASS = (SDK.Plugins.yabbi = class yabbiPlugin extends (
  SDK.IPluginBase
) {
  constructor() {
    super(PLUGIN_ID);

    SDK.Lang.PushContext("plugins." + PLUGIN_ID.toLowerCase());

    this._info.SetName(globalThis.lang(".name"));
    this._info.SetDescription(globalThis.lang(".description"));
    this._info.SetCategory(PLUGIN_CATEGORY);
    this._info.SetAuthor("Yabbi, LLC");
    this._info.SetHelpUrl(globalThis.lang(".help-url"));
    this._info.SetIsSingleGlobal(true);
    this._info.SetRuntimeModuleMainScript("c3runtime/main.js");

    SDK.Lang.PushContext(".properties");

    this._info.SetProperties([
      new SDK.PluginProperty("text", "publisher-id", ""),
    ]);

    this._info.AddCordovaPluginReference({
      id: "cordova.plugin.yabbi",
      plugin: this,
    });

    SDK.Lang.PopContext(); // .properties
    SDK.Lang.PopContext();
  }
});

PLUGIN_CLASS.Register(PLUGIN_ID, PLUGIN_CLASS);
